Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 620198 (CVE-2017-7511) - <app-text/poppler-0.55.0-r1 : Null pointer dereference in pdfunite via crafted documents
Summary: <app-text/poppler-0.55.0-r1 : Null pointer dereference in pdfunite via crafte...
Status: RESOLVED FIXED
Alias: CVE-2017-7511
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A3 [glsa+ cve]
Keywords:
Depends on: CVE-2017-9865
Blocks:
  Show dependency tree
 
Reported: 2017-05-30 14:26 UTC by Agostino Sarubbo
Modified: 2018-01-17 13:43 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-05-30 14:26:49 UTC
From ${URL} :

poppler since version 0.17.3 has been vulnerable to NULL pointer dereference in pdfunite triggered by specially crafted documents.

Upstream bugs:

https://bugs.freedesktop.org/show_bug.cgi?id=101149
https://bugs.freedesktop.org/show_bug.cgi?id=101153

Upstream patch:

https://cgit.freedesktop.org/poppler/poppler/commit/?id=5c9b08a875b07853be6c44e43ff5f7f059df666a


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Andreas K. Hüttel gentoo-dev 2017-05-30 19:49:39 UTC
Let's wait for bugs a bit (though the patch is extremely simple).
Comment 2 Manuel Rüger (RETIRED) gentoo-dev 2017-06-22 11:57:40 UTC
0.56.0 includes another set of fixes see https://bugs.gentoo.org/show_bug.cgi?id=622430

I would suggest to stabilize this version.
Comment 3 Thomas Deutschmann gentoo-dev Security 2017-06-28 11:56:24 UTC
Superseded by bug 622430.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2017-08-10 07:13:32 UTC
changing dependency to stabilization bug.
Comment 5 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-11-24 14:30:55 UTC
Added to existing GLSA
Comment 6 Andreas Sturmlechner gentoo-dev 2017-11-24 19:34:04 UTC
KDE work done.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2018-01-17 13:43:15 UTC
This issue was resolved and addressed in
 GLSA 201801-17 at https://security.gentoo.org/glsa/201801-17
by GLSA coordinator Aaron Bauman (b-man).